Package org.apache.sling.scripting.sightly.impl.parser.expr.generated

## Class SightlyParser.TermContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.sling.scripting.sightly.impl.parser.expr.generated.SightlyParser.TermContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`

Enclosing class:
  SightlyParser

    public static class SightlyParser.TermContext
    extends org.antlr.v4.runtime.ParserRuleContext

### Field Summary

Fields
`SightlyParser.ExprNodeContext` `exprNode`
`SightlyParser.FieldContext` `field`
`ExpressionNode` `node`
`SightlyParser.SimpleContext` `simple`

### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

`children, exception, start, stop`

### Fields inherited from class org.antlr.v4.runtime.RuleContext

`EMPTY, invokingState, parent`

### Constructor Summary

Constructors
`TermContext​(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<org.antlr.v4.runtime.tree.TerminalNode>` `ARRAY_END()`
`org.antlr.v4.runtime.tree.TerminalNode` `ARRAY_END​(int i)`
`List<org.antlr.v4.runtime.tree.TerminalNode>` `ARRAY_START()`
`org.antlr.v4.runtime.tree.TerminalNode` `ARRAY_START​(int i)`
`List<org.antlr.v4.runtime.tree.TerminalNode>` `DOT()`
`org.antlr.v4.runtime.tree.TerminalNode` `DOT​(int i)`
`void` `enterRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`void` `exitRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`List<SightlyParser.ExprNodeContext>` `exprNode()`
`SightlyParser.ExprNodeContext` `exprNode​(int i)`
`List<SightlyParser.FieldContext>` `field()`
`SightlyParser.FieldContext` `field​(int i)`
`int` `getRuleIndex()`
`SightlyParser.SimpleContext` `simple()`

### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

`addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

### Methods inherited from class org.antlr.v4.runtime.RuleContext

`accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### node

    public ExpressionNode node

#### simple

    public SightlyParser.SimpleContext simple

#### exprNode

    public SightlyParser.ExprNodeContext exprNode

#### field

    public SightlyParser.FieldContext field

### Constructor Detail

#### TermContext

    public TermContext​(org.antlr.v4.runtime.ParserRuleContext parent,
                       int invokingState)

### Method Detail

#### simple

    public SightlyParser.SimpleContext simple()

#### ARRAY_START

    public List<org.antlr.v4.runtime.tree.TerminalNode> ARRAY_START()

#### ARRAY_START

    public org.antlr.v4.runtime.tree.TerminalNode ARRAY_START​(int i)

#### exprNode

    public List<SightlyParser.ExprNodeContext> exprNode()

#### exprNode

    public SightlyParser.ExprNodeContext exprNode​(int i)

#### ARRAY_END

    public List<org.antlr.v4.runtime.tree.TerminalNode> ARRAY_END()

#### ARRAY_END

    public org.antlr.v4.runtime.tree.TerminalNode ARRAY_END​(int i)

#### DOT

    public List<org.antlr.v4.runtime.tree.TerminalNode> DOT()

#### DOT

    public org.antlr.v4.runtime.tree.TerminalNode DOT​(int i)

#### field

    public List<SightlyParser.FieldContext> field()

#### field

    public SightlyParser.FieldContext field​(int i)

#### getRuleIndex

    public int getRuleIndex()

Overrides:
  `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

#### enterRule

    public void enterRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

#### exitRule

    public void exitRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`